<?php
defined('MOODLE_INTERNAL') || die();

/**
 * Returns the main SCSS content.
 *
 * @param theme_config $theme The theme config object.
 * @return string
 */

 function theme_cisco_get_main_scss_content($theme) {                                                                                
    global $CFG;                                                                                                                    
 
    $scss = file_get_contents($CFG->dirroot . '/theme/boost/scss/preset/plain.scss');                                        
    $pre = file_get_contents($CFG->dirroot . '/theme/cisco/scss/pre.scss');                                                         
    $post = file_get_contents($CFG->dirroot . '/theme/cisco/scss/post.scss');                                                       
 
    return $pre . "\n" . $scss . "\n" . $post; 
}

/**
 * Initialize page
 * @param moodle_page $page
 */
function theme_cisco_page_init(moodle_page $page) {
    global $CFG;
    $page->requires->jquery_plugin('scripts', 'theme_cisco');
}